Bug 312261 - Mock lacks dependencies on tar and gzip
Summary: Mock lacks dependencies on tar and gzip
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-29 12:01 UTC by Lubomir Kundrak
Modified: 2013-01-10 01:41 UTC (History)
1 user (show)

Fixed In Version: 0.8.4-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-29 19:05:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lubomir Kundrak 2007-09-29 12:01:58 UTC
Description of problem:

Mock uses these two utilities to create root cache tarballs. I'd say it should
have dependencies on them, though it will basically work even without them, just
will not be able to cache build roots.

Version-Release number of selected component (if applicable):

mock-0.7.6-1.fc7

Comment 1 Jesse Keating 2007-09-29 14:27:36 UTC
arguably mock should require rpm-build, which does have a require on gzip, but
oddly enough not tar.  Perhaps rpm-build should grow a dep on tar too, unless
it's one of those things it has built /into/ rpm *shudder*

Nonetheless, mock should require rpm-build, and until the tar thing gets sorted
out, tar.

Comment 2 Lubomir Kundrak 2007-09-30 16:19:30 UTC
Jesse: Could you please clarify this a bit to me - why does mock need to require
rpm-build? I use mock in environment without rpm-build installed quite happily,
without problems. I'd just say rpm-build just belongs to the buildgroup, and
there it actually gets installed.

Comment 3 Jesse Keating 2007-10-01 01:53:30 UTC
Open head, insert brain.

You are completely correct.  I don't know what I was thinking.

Comment 4 Fedora Update System 2007-10-24 07:06:10 UTC
mock-0.8.4-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'

Comment 5 Fedora Update System 2007-10-29 19:05:24 UTC
mock-0.8.4-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2007-11-06 16:11:55 UTC
mock-0.8.4-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'

Comment 7 Fedora Update System 2007-11-08 06:01:34 UTC
mock-0.8.4-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.